export declare function pathBuilder(): PathBuilder;
export declare class PathBuilder {
    private path;
    private scaleFactor;
    build(): string;
    move(x: number, y: number): PathBuilder;
    line(x: number, y: number): PathBuilder;
    circularArc(radius: number, toX: number, toY: number, { sweep, largeArc, }?: {
        sweep?: boolean;
        largeArc?: boolean;
    }): PathBuilder;
    curve(control1X: number, control1Y: number, control2X: number, control2Y: number, endX: number, endY: number): PathBuilder;
    scale(factor: number): PathBuilder;
}
